## org.apache.lucene.index
Class TermVectorEntryFreqSortedComparator

    java.lang.Object
      org.apache.lucene.index.TermVectorEntryFreqSortedComparator

All Implemented Interfaces:
  Comparator<TermVectorEntry>

    public class TermVectorEntryFreqSortedComparator

extends Object
implements Comparator<TermVectorEntry>

Compares `TermVectorEntry`s first by frequency and then by the term (case-sensitive)

Constructor Summary
`TermVectorEntryFreqSortedComparator()`

Method Summary
`int` `compare(TermVectorEntry entry, TermVectorEntry entry1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TermVectorEntryFreqSortedComparator

    public TermVectorEntryFreqSortedComparator()

Method Detail

### compare

    public int compare(TermVectorEntry entry,
                       TermVectorEntry entry1)

  Specified by:
    `compare` in interface `Comparator<TermVectorEntry>`